module Ventiuna
	class Shoe < Ventiuna::Deck

		def initialize(deck_count=8)
			@cards = []
			suits = @@suits * deck_count
			suits.each do |suit|
				@@ranks.each do |rank|
					@cards << Ventiuna::Card.new(rank: rank, suit: suit)
				end
			end
			@initial_size = @cards.size
		end

		def needs_shuffling?
			!self.shuffled? || (self.size.to_f / @initial_size) <= 0.25
		end
	end
end