unless File.exists?(DB_FILE)
	ActiveRecord::Schema.define do
		create_table :strategies do |t|
			t.column :name, :string, :null => false
		end

		create_table :moves do |t|
			t.column :strategy_id, :integer, :null => false
			t.column :dealers_card_value, :integer, :null => false
			#t.column :cards, :string
			t.column :hand, :string, :null => false
			t.column :decision, :string, :null => false
			t.column :win, :integer, :default => 0
			t.column :tie, :integer, :default => 0
			t.column :lose, :integer, :default => 0
			t.column :progress, :integer, :default => 0
			t.column :bust, :integer, :default => 0
		end

		#add_index(:moves, [:strategy_id, :dealers_card_value, :cards], :name => 'by_players_cards')
		add_index(:moves, [:strategy_id, :dealers_card_value, :hand], :name => 'by_players_hand_value')
	end
end