module Ventiuna
	class Move < ActiveRecord::Base
		belongs_to :strategy

		#validates_presence_of :dealers_card, :cards, :hand_value, :decision
		validates_uniqueness_of :decision, :scope => [:strategy_id, :dealers_card_value, :hand]

		def score
			#win_count*2 + tie_count
			(win + tie + progress) - (lose + bust)
		end

		def update_counts(outcome)
			value = 1
			value = 2 if decision == "d"
			case outcome
			when "blackjack", "win"
				self.win += value
			when "tie"
				self.tie += value
			when "bust"
				self.lose += value
			when "lose"
				self.lose += value
			when "progress"
				
				self.progress += 1
			end
			self.save
		end
	end
end